| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__ModifyHomeDnRequest Class Reference
Home Dn

Modify Home DN request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
enum unsp__DnModifyType | ModifyType
| Used to identify the modify command. More...
xsd__string | StartCode
| The first Home DN to be modified. More...
xsd__string | EndCode
| The last Home DN to modify. More...
xsd__string | OfficeCode
| Office Code. More...
xsd__string | DestinationName
| Name of the destination associated with this Home DN. More...
enum unsp__DestinationType | DestinationType
| The type of destination. More...
xsd__string | SubscriberName
| The Service ID of the subscriber associated with the Home Dn. More...
xsd__string | NewDn
| Provides the new DN code with DNCHANGED destination. More...
enum unsp__CommandActivate | EnableAssign
enum unsp__EnableMatch | EnableMatch
| Indicates whether the assignment of a line requires the digits of the line and home DN objects to match. More...

## Detailed Description

Modify Home DN request.

Used by unsp__modifyHomeDn()

## Member Data Documentation

## ◆ DestinationName

xsd__string unsp__ModifyHomeDnRequest::DestinationName

Name of the destination associated with this Home DN.

required: true

See also
  unsp__DestName

## ◆ DestinationType

enum unsp__DestinationType unsp__ModifyHomeDnRequest::DestinationType

The type of destination.

required: true
default value[range]: DtUnused

## ◆ EnableAssign

enum unsp__CommandActivate unsp__ModifyHomeDnRequest::EnableAssign

Deprecated:
  NA.

required: false

## ◆ EnableMatch

enum unsp__EnableMatch unsp__ModifyHomeDnRequest::EnableMatch

Indicates whether the assignment of a line requires the digits of the line and home DN objects to match.

required: false
default value[range]: EmUnused

## ◆ EndCode

xsd__string unsp__ModifyHomeDnRequest::EndCode

The last Home DN to modify.

If provided, it must refer to an existing Home DN that represents a continuous sequence.
required: false
default value[range]: NA [1..14]

## ◆ ModifyType

enum unsp__DnModifyType unsp__ModifyHomeDnRequest::ModifyType

Used to identify the modify command.

required: false
default value[range]: MtUnused

## ◆ NewDn

xsd__string unsp__ModifyHomeDnRequest::NewDn

Provides the new DN code with DNCHANGED destination.

Used only when the ModifyType is set to UNASSIGN.
required: false
default value[range]: NA [1..15]

## ◆ OfficeCode

xsd__string unsp__ModifyHomeDnRequest::OfficeCode

Office Code.

required: true
default value[range]: NA [1..14]

## ◆ OperatorId

xsd__string unsp__ModifyHomeDnRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ StartCode

xsd__string unsp__ModifyHomeDnRequest::StartCode

The first Home DN to be modified.

required: true
default value[range]: NA [1..14]

## ◆ SubscriberName

xsd__string unsp__ModifyHomeDnRequest::SubscriberName

The Service ID of the subscriber associated with the Home Dn.

required: false
default value[range]: NA

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h